org.codehaus.plexus.component.composition

## Class CycleDetectedInComponentGraphException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.composition.CycleDetectedInComponentGraphException

All Implemented Interfaces:
  java.io.Serializable

    public class CycleDetectedInComponentGraphException
    extends java.lang.Exception

Thrown when component composition goes awry.

Version:
  $Id: CycleDetectedInComponentGraphException.java 8188 2009-05-17 00:43:32Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CycleDetectedInComponentGraphException(java.lang.String message)` Construct a new `CompositionException` instance.
`CycleDetectedInComponentGraphException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `CompositionException` instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CycleDetectedInComponentGraphException

    public CycleDetectedInComponentGraphException(java.lang.String message)

Construct a new `CompositionException` instance.

Parameters:
  `message` - The detail message for this exception.

#### CycleDetectedInComponentGraphException

    public CycleDetectedInComponentGraphException(java.lang.String message,
                                          java.lang.Throwable throwable)

Construct a new `CompositionException` instance.

Parameters:
  `message` - The detail message for this exception.
  `throwable` - the root cause of the exception